Botan 1.10.17

Namespaces | Functions
cryptobox.cpp File Reference
`#include <botan/cryptobox.h>`
`#include <botan/filters.h>`
`#include <botan/pipe.h>`
`#include <botan/lookup.h>`
`#include <botan/sha2_64.h>`
`#include <botan/hmac.h>`
`#include <botan/pbkdf2.h>`
`#include <botan/pem.h>`
`#include <botan/get_byte.h>`
`#include <botan/mem_ops.h>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::CryptoBox

## Functions
std::string | Botan::CryptoBox::decrypt (const byte input[], size_t input_len, const std::string &passphrase)
std::string | Botan::CryptoBox::decrypt (const std::string &input, const std::string &passphrase)
std::string | Botan::CryptoBox::encrypt (const byte input[], size_t input_len, const std::string &passphrase, RandomNumberGenerator &rng)